Subject: Re: Select bug in beta 16?
From: [email-masked] (Jeremy Allison)

15 Nov 1996 12:57:34 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked] (Bala Parthasarathy)
Original-cc: [email-masked]
In-reply-to: Your message of "Thu, 14 Nov 1996 23:33:39 PST."
             <[email-masked]> 
Original-Sender: [email-masked]

Hi Bala,

	select() has been completely re-written in
beta 17 (I know 'cos I wrote it :-). It now blocks
correctly and works on all cases except for the case
where select() is asked to wait simultaneously on
a socket and a HANDLE. I punted this case as it is
*very* hard to solve (I know how to do it I just don't
want to write the code :-) and doesn't seem to affect
any apps I know about. We may just document it as a restriction
in beta 17 and fix it fully later (when I have some free time,
hahahahahaha..... [hysterical laughter trails off 
into sobs...] :-).

Hope this helps,

Jeremy
[email-masked]
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".